Public Member Functions | Protected Member Functions

# MasterNetworkUDPSocketHandler Class Reference

*** Communication with the masterserver ***/ More...

Inheritance diagram for MasterNetworkUDPSocketHandler:

## Public Member Functions
| MasterNetworkUDPSocketHandler (NetworkAddressList *addresses)
| Create the socket.
## Protected Member Functions
virtual void | Receive_MASTER_ACK_REGISTER (Packet *p, NetworkAddress *client_addr)
| The master server acknowledges the registration.
virtual void | Receive_MASTER_SESSION_KEY (Packet *p, NetworkAddress *client_addr)
| The master server sends us a session key.

## Detailed Description

*** Communication with the masterserver ***/

Helper class for connecting to the master server.

Definition at line 118 of file network_udp.cpp.

## Constructor & Destructor Documentation

MasterNetworkUDPSocketHandler::MasterNetworkUDPSocketHandler | ( | NetworkAddressList * | addresses | ) | `[inline]`

Create the socket.

Parameters:

  | addresses | The addresses to bind on.

Definition at line 127 of file network_udp.cpp.

## Member Function Documentation

void MasterNetworkUDPSocketHandler::Receive_MASTER_ACK_REGISTER | ( | Packet * | p,
|  | NetworkAddress * | client_addr |
| ) |  |  | `[protected, virtual]`

The master server acknowledges the registration.

Parameters:

  | p | The received packet.
  | client_addr | The origin of the packet.

Reimplemented from NetworkUDPSocketHandler.

Definition at line 131 of file network_udp.cpp.

References _network_advertise_retries, _settings_client, NetworkAddress::AddressFamilyAsString(), DEBUG, NetworkAddress::GetAddress(), ClientSettings::network, NetworkUDPRemoveAdvertise(), and NetworkSettings::server_advertise.

void MasterNetworkUDPSocketHandler::Receive_MASTER_SESSION_KEY | ( | Packet * | p,
|  | NetworkAddress * | client_addr |
| ) |  |  | `[protected, virtual]`

The master server sends us a session key.

uint64 The session key.

Parameters:

  | p | The received packet.
  | client_addr | The origin of the packet.

Reimplemented from NetworkUDPSocketHandler.

Definition at line 140 of file network_udp.cpp.

References _session_key, NetworkAddress::AddressFamilyAsString(), DEBUG, NetworkAddress::GetAddress(), and Packet::Recv_uint64().

The documentation for this class was generated from the following file:

- src/network/network_udp.cpp